﻿@model LoyaltyPointEngine.Model.Parameter.Uptrade.ParamUptradeManageModel
@{

}
<!--=== Page Header ===-->
<div class="page-header">
    <div class="page-title">
        <h3>Add Up Trade Manage</h3>
    </div>
    <!-- /Page Stats -->
</div>
<!-- /Page Header -->
<!--=== Page Content ===-->
<div class="row">
    <!--=== Validation Example 1 ===-->
    <div class="col-md-12">
        <div class="widget box">
            <div class="widget-header">
                <h4><i class="icon-reorder"></i> Add Up Trade Manage</h4>
            </div>
            <div class="widget-content">
                @using (Html.BeginForm(MVC.UptradeManage.Add(), FormMethod.Post, new { @class = "form-horizontal row-border", @id = "formAddArea" }))
                {
                    @Html.AntiForgeryToken()

                    if (!Html.ViewData.ModelState.IsValid)
                    {
                        <div class="alert alert-danger">
                            <button type="button" class="close" data-dismiss="alert" aria-hidden="true">×</button>
                            <i class="fa fa-times-circle"></i>
                            Error occured: <br />
                            @Html.ValidationSummary()
                        </div>
                    }

                    <div class="form-group">
                        <label class="col-md-3 control-label">Product Before <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProductBefore, ViewBag.ListProductBefore as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Product After <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.ProductAfter, ViewBag.ListProductAfter as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Channel <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.Channel, ViewBag.ListChannel as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Point </label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.Point, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Start Date <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.StartDate, new { @class = "form-control datepicker-start", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">End Date <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.TextBoxFor(x => x.EndDate, new { @class = "form-control datepicker-end", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Remarks Member <span class="required">*</span></label>
                        <div class="col-md-9">
                            @Html.DropDownListFor(x => x.FlagID, ViewBag.ListFlagUptradeManage as IEnumerable<SelectListItem>, "", new { @class = "select2-select-00 col-md-12 full-width-fix", @required = "required" })
                        </div>
                    </div>

                    <div class="form-group">
                        <label class="col-md-3 control-label">Remarks Receipt</label>
                        <div class="col-md-9">
                            @Html.TextAreaFor(x => x.Remarks, new { @class = "form-control" })
                        </div>
                    </div>

                    <div class="form-actions">
                        <input type="submit" value="Submit" class="btn btn-primary pull-right">
                    </div>

                }
            </div>
        </div>
        <!-- /Validation Example 1 -->
    </div>
</div>
@section FooterScript{
    <script>

        $(document).ready(function () {

            //===== Validation
            $(".datepicker-end").datepicker({
                defaultDate: +10,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });

            $(".datepicker-start").datepicker({
                defaultDate: -7,
                showOtherMonths: true,
                autoSize: true,
                dateFormat: 'dd/mm/yy',
            });
            //for default options, see assets/js/plugins.form-components.js (initValidation())

            $.extend($.validator.defaults, {
                invalidHandler: function (form, validator) {
                    var errors = validator.numberOfInvalids();
                    if (errors) {
                        var message = errors == 1
                        ? 'You missed 1 field. It has been highlighted.'
                        : 'You missed ' + errors + ' fields. They have been highlighted.';
                        noty({
                            text: message,
                            type: 'error',
                            timeout: 2000
                        });
                    }
                },
                errorPlacement: function (error, element) {
                    if (element.attr('type') === "file" && element.data('style') === "fileinput") {
                        error.appendTo(element.closest("div.fileinput-holder").parent('div'));
                    } else {
                        error.insertAfter(element)
                    }
                }
            });

            $("#formAddArea").validate();

        });
    </script>
}
